{
	saved_FirstTime[0]
	saved_LevelLoad[0]
	saved_atFirstZone[0]
	saved_atSecondZone[0]
	saved_atThirdZone[0]
	saved_atFourthZone[0]
	saved_atFifZone[0]
	saved_atSixZone[0]
	saved_atSevenZone[0]
	saved_atEightZone[0]
	saved_atNineZone[0]
	saved_atTenZone[0]
	saved_atElevenZone[0]
	saved_atTwelveZone[0]
	saved_atThirteenZone[0]
	saved_atFourteenZone[0]

	saved_atRocketZone1[0]
	saved_atEndZone[0]
	saved_WarpZone[0]
	saved_Bunkers[0]
	
	saved_ActiveDudes [1]

	saved_RocketObjective[2]

	saved_OnGun01[0]
	saved_OnGun02[0]
	saved_OnGun03[0]
	saved_OnGun04[0]
	
	saved_Pooman1[0]
	saved_Pooman2[0]
	saved_Pooman3[0]
	saved_Pooman4[0]

	Init[ (s)
	{
		if(saved_FirstTime=0)
		{
			saved_FirstTime=1;

			// Infiltrate Bunkers!
			AddObjective( 189, 3349, 34645);
			SetObjectiveActive(0, true);

			// Fuel Rockets
			AddObjective( 188, 6381, 31689);
			SetObjectiveActive(1, false);

			// Destroy Rockets 1/3
			AddObjective( 190, 9681, 30134);
			SetObjectiveActive(2, false);

			// Destroy Rockets 2/3
			AddObjective( 191, 9681, 30134);
			SetObjectiveActive(3, false);

			// Destroy Rockets 3/3
			AddObjective( 192, 9681, 30134);
			SetObjectiveActive(4, false);

			// Destroy Rockets
			AddObjective( 451, 9681, 30134);
			SetObjectiveActive(5, false);

			Self=GetPlayer();
			Self.SetNationality(2);
			Self.GiveWeapon(62, 5);
			Self.GiveWeapon(47, 5);
			Self.GiveWeapon(53, 5);
			Self.GiveWeapon(46, 5);
			Self.SetInvulnerable(false);

			AutoSave();
		}
	}]

	OnLevelLoad[ ()
	{
		PlayAmbient (23);
		if(saved_LevelLoad = 0)
		{
			saved_LevelLoad = 1;
			
			Waters=GetEntity("Waters");
			Waters.Delay(1,0);

			SetMessage("Burgsteinfurt, Germany",75,35);
			SetMessage2(540,75,50);
			SetMessage3(513,75,65);
		}
	}]

	EnterZone[ (zone)
	{
		if (zone = "firstzone" )
		{
		if (saved_atFirstZone = 0 )
			{
			saved_atFirstZone = 1;
			Runner06 = GetEntity("start06");
			Runner06.GoWalking(26843, 8137, 5);
			Runner13 = GetEntity("start13");
			Runner13.GoWalking(26517, 5248, 7);
			}
		}

		if (zone = "secondzone" )
		{
		if (saved_atSecondZone = 0 )
			{
			saved_atSecondZone = 1;
			Runner01 = GetEntity("start01");
			Runner01.GoWalking(23296, 5138, 5);
			Runner02 = GetEntity("start02");
			Runner02.GoWalking(22912, 8234, 6);
			}
		}

		if (zone = "thirdzone" )
		{
		if (saved_atThirdZone = 0 )
			{
			saved_atThirdZone = 1;
			Runner03 = GetEntity("start03");
			Runner03.GoWalking(15338, 5760, 6);
			Runner04 = GetEntity("start04");
			Runner04.GoWalking(14805, 6378, 5);
			}
		}

		if (zone = "fourthzone" )
		{
		if (saved_atFourthZone = 0 )
			{
			saved_atFourthZone = 1;
			Runner09 = GetEntity("start09");
			Runner09.GoWalking(10709, 8213, 5);
			}
		}

		if (zone = "fifzone" )
		{
		if (saved_atFifZone = 0 )
			{
			saved_atFifZone = 1;
			Runner11 = GetEntity("start11");
			Runner11.GoWalking(8950, 7158, 5);
			Runner10 = GetEntity("start10");
			Runner10.GoWalking(9536, 4266, 5);
			}
		}

		if (zone = "sixzone" )
		{
		if (saved_atSixZone = 0 )
			{
			saved_atSixZone = 1;
			mRunner01 = GetEntity("mid01");
			mRunner01.GoWalking(3712, 10368, 7);
			mRunner02 = GetEntity("mid02");
			mRunner02.GoWalking(4963, 10908, 6);
			}
		}

		if (zone = "sevenzone" )
		{
		if (saved_atSevenZone = 0 )
			{
			saved_atSevenZone = 1;
			mRunner01 = GetEntity("mid01");
			mRunner01.GoWalking(6001, 9884, 7);
			mRunner02 = GetEntity("mid02");
			mRunner02.GoWalking(7054, 10908, 6);
			}
		}

		if (zone = "eightzone" )
		{
		if (saved_atEightZone = 0 )
			{
			saved_atEightZone = 1;
			mRunner03 = GetEntity("mid03");
			mRunner03.GoWalking(3328, 16341, 5);
			mRunner04 = GetEntity("mid04");
			mRunner04.GoWalking(5134, 17692, 6);
			mRunner05 = GetEntity("mid05");
			mRunner05.GoWalking(7793, 17280, 7);
			}
		}

		if (zone = "ninezone" )
		{
		if (saved_atNineZone = 0 )
			{
			saved_atNineZone = 1;
			mRunner03 = GetEntity("mid03");
			mRunner03.GoWalking(6755, 17066, 5);
			mRunner04 = GetEntity("mid04");
			mRunner04.GoWalking(7566, 17834, 6);
			mRunner05 = GetEntity("mid05");
			mRunner05.GoWalking(8604, 17664, 6);
			}
		}

		if (zone = "ninezone" )
		{
		if (saved_atNineZone = 0 )
			{
			saved_atNineZone = 1;
			mRunner03 = GetEntity("mid03");
			mRunner03.GoWalking(6755, 17066, 5);
			mRunner04 = GetEntity("mid04");
			mRunner04.GoWalking(7566, 17834, 6);
			mRunner05 = GetEntity("mid05");
			mRunner05.GoWalking(8604, 17664, 6);
			}
		}

		if (zone = "tenzone" )
		{
		if (saved_atTenZone = 0 )
			{
			saved_atNineZone = 1;
			saved_atTenZone = 1;
//			mRunner03 = GetEntity("mid03");
//			mRunner03.GoWalking(9116, 17308, 6);
			mRunner04 = GetEntity("mid04");
			mRunner04.GoWalking(11406, 18332, 6);
			mRunner05 = GetEntity("mid05");
			mRunner05.GoWalking(12174, 18588, 5);
			}
		}

		if (zone = "elevenzone" )
		{
		if (saved_atElevenZone = 0 )
			{
			saved_atElevenZone = 1;
			mRunner06 = GetEntity("mid06");
			mRunner06.GoWalking(18368, 17984, 5);
			mRunner07 = GetEntity("mid07");
			mRunner07.GoWalking(18816, 16016, 7);
			}
		}

		if (zone = "twelvezone" )
		{
		if (saved_atTwelveZone = 0 )
			{
			saved_atTwelveZone = 1;
			mRunner08 = GetEntity("mid08");
			mRunner08.GoWalking(31203, 16170, 5);
			mRunner09 = GetEntity("mid09");
			mRunner09.GoWalking(31345, 17991, 6);
			}
		}

		if (zone = "thirteenzone" )
		{
		if (saved_atThirteenZone = 0 )
			{
			saved_atThirteenZone = 1;
			eRunner01 = GetEntity("end01");
			eRunner01.GoWalking(25173, 28771, 7);
			eRunner02 = GetEntity("end02");
			eRunner02.GoWalking(25073, 31573, 5);
			eRunner03 = GetEntity("end03");
			eRunner03.GoWalking(25270, 27136, 6);
			}
		}

		if (zone = "fourteenzone" )
		{
		if (saved_atFourteenZone = 0 )
			{
			saved_atFourteenZone = 1;
			eRunner04 = GetEntity("end04");
			eRunner04.GoWalking(15104, 25998, 6);
			eRunner05 = GetEntity("end05");
			eRunner05.GoWalking(13852, 31516, 6);
			}
		}

		if (zone = "rocketzone1" )
		{
		if (saved_atRocketZone1 = 0 )
			{
			saved_atRocketZone1 = 1;
			rRunner01 = GetEntity("rock01");
			rRunner01.GoWalking(5461, 26225, 5);
			rRunner02 = GetEntity("rock02");
			rRunner02.GoWalking(5432, 28216, 6);
			GunDude = GetEntity("gunman5");
			GunDude.SetState_MG42( GetEntity("mg42-05"));
			}
		}

		if (zone = "testzone" )
		{
				GetEntity("freddy").FollowPath("freddypath");
				GetEntity("terry").FollowPath("terrypath");
		}


		if (zone = "endzone1" )
		{
			if (saved_atEndZone = 0 )
			{
				saved_atEndZone = 1;
				GetEntity("walk01").GoPath("endpath1");
				GetEntity("walk02").GoPath("endpath2");
				GetEntity("walk03").GoPath("endpath3");
			}
		}

		if (zone = "gunzone01" )
		{
			if (saved_OnGun01 = 0)
			{
				GunDude = GetEntity("gunman1");
				GunDude.SetState_MG42( GetEntity("mg42-01"));
			}
		}

		if (zone = "gunzone02" )
		{
			if (saved_OnGun02 = 0)
			{
			GunDude = GetEntity("gunman2");
			GunDude.SetState_MG42( GetEntity("mg42-02"));
			}
		}

		if (zone = "gunzone03" )
		{
			if (saved_OnGun03 = 0)
			{
			GunDude = GetEntity("gunman3");
			GunDude.SetState_MG42( GetEntity("mg42-03"));
			}
		}

		if (zone = "gunzone04" )
		{
			if (saved_OnGun01 = 0)
			{
			GunDude = GetEntity("gunman4");
			GunDude.SetState_MG42( GetEntity("mg42-04"));
			}
		}

		if (zone = "Bunkers" )
		{
			if (saved_Bunkers = 0)
			{
				saved_Bunkers = 1;
				Level.ObjectiveComplete(0);
				Level.SetObjectiveActive(1,true);
			}
		}

		if (zone = "warpzone1" )
		{
		if (saved_WarpZone = 0 )
		{
			saved_WarpZone = 1;
			Warper01 = GetEntity("warp01");
			Warper01.WarpTo(2688, 30677, -579, 3043, 31488, 1, 1);
			Warper02 = GetEntity("warp02");
			Warper02.WarpTo(3968, 30606, -579, 3043, 31488, 0, 0);
			Warper03 = GetEntity("warp03");
			Warper03.WarpTo(6402, 29870, -1731, 6371, 28899, 0, 0);
			Warper04 = GetEntity("warp04");
			Warper04.WarpTo(9230, 26370, -1731, 6641, 26325, 0, 0);
			Warper05 = GetEntity("warp05");
			Warper05.WarpTo(8080, 27270, -1731, 7651, 28416, 0, 0);
			Warper06 = GetEntity("warp06");
			Warper06.WarpTo(9640, 29056, -1731, 9457, 27434, 0, 0);
			}
		}
		
		if (zone = "switchon")
		{
			if (saved_ActiveDudes = 1)
			{
				return;
			}
			if (saved_ActiveDudes = 0)
			{
				Log("ROCK ON!");
				saved_ActiveDudes = 1;
				GetEntity("rock01").Rock();
				GetEntity("rock02").Rock();
				GetEntity("rock99").Rock();
			}
		}
		
		if (zone = "switchoff")
		{
			if (saved_ActiveDudes = 1)
			{
				Log("ROCK OFF!");
				saved_ActiveDudes = 0;
				GetEntity("rock01").SetState_Idle();
				GetEntity("rock02").SetState_Idle();
				GetEntity("rock99").SetState_Idle();
				GetEntity("gunman5").SetState_Idle();
			}
			if (saved_ActiveDudes = 0)
			{
				return;
			}
		}

	}]

	ActorKilled[(who)
	{
		if (who = "gunman1")
		{
			if (saved_OnGun01 < 1)
			{
				GetEntity("gunman1").Respawn(0);
			}
			else
			{
				GetEntity("gunman1").SetState_Idle();
			}
		}

		if (who = "gunman2")
		{
			if (saved_OnGun02 < 1)
			{
				GetEntity("gunman2").Respawn(1);
			}
			else
			{
				GetEntity("gunman2").SetState_Idle();
			}
		}

		if (who = "gunman3")
		{
			if (saved_OnGun03 < 1)
			{
				GetEntity("gunman3").Respawn(2);
			}
			else
			{
				GetEntity("gunman3").SetState_Idle();
			}
		}

		if (who = "gunman4")
		{
			if (saved_OnGun04 < 1)
			{
				GetEntity("gunman4").Respawn(3);
			}
			else
			{
				GetEntity("gunman4").SetState_Idle();
			}
		}

	}]

}